### Method

# FwupdPlugin Efivars get_boot_data

since: 2.0.0

#### Declaration [src]

    GBytes*
    fu_efivars_get_boot_data (
      FuEfivars* self,
      guint16 idx,
      GError** error
    )

#### Description [src]

Gets the raw data of the `BootXXXX` variable.

Available since: 2.0.0

#### Parameters

`idx`

  Type: `guint16`

  Boot index, typically 0x0001.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GBytes`

Boot data.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.